Name: xfce4-xfapplet-plugin
Version: 0.1.0
Release: alt1

Summary: this plugin allow you to use gnome-panel based applet inside the xfce4 one.
License: GPL
Group: Graphical desktop/XFce
Url: http://xfce-goodies.berlios.de
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://download.berlios.de/xfce-goodies/%name-%version.tar.bz2

# Automatically added by buildreq on Thu Nov 09 2006
BuildRequires: fontconfig gcc-c++ gnome-vfs-devel imake libGConf-devel libX11-devel libavahi-glib libbonobo-devel libdbus-glib libgnome-panel-devel libstartup-notification libxfce4util-devel libxfcegui4-devel xfce4-panel-devel xorg-cf-files intltool

%description
The XfApplet Plugin is a plugin for the Xfce 4 Panel which allows one to use applets designed for the Gnome Panel inside the Xfce Panel. You can think of XfApplet as a tiny Gnome Panel that lives inside the Xfce Panel and allows you to show the same applets that the Gnome Panel is capable of showing.
The current stable version of the XfApplet Plugin has the following features:
    * Most Gnome applets are supported. Basically the only exceptions are the Gnome Systray and Window List applets, which should be considered not very well supported. This should be fixed in the next stable version;
    * The XfApplet properties dialog allows you to choose between all Gnome applets currently installed, just as the Gnome Panel does.
    * The XfApplet context menu shows both the Xfce Panel related items (such as \u201cMove\u201d, \u201cRemove\u201d, \u201cCustomize Panel\u201d, etc.) and the Gnome applet ones, which of course will depend on the specific applet being displayed.
    * Applets are displayed correctly in terms of layout, popup menus and other issues no matter the Xfce Panel specific configuration such as position (top, bottom, left or right side and floating) and size.
By now you may be wondering: why would someone write XfApplet? The motivations for both starting and maintaining this project can be resumed as follows:
    * Olivier Fourdan (Xfce project leader) was asked in his interview in FOSDEM 2005 about the possibility of integration between the Gnome Panel applets and the Xfce Panel. His answer stated that (by that time) the Xfce Panel did not support stand alone applets such as the Gnome Panel, but instead one could write a plugin for the Xfce Panel that was capable of showing Gnome applets.
    * Software reusability is very common in FOSS projects, especially in code level. XfApplet allows for reusability in component level by linking against the Bonobo infra-structure and the Xfce Panel libraries. So there\u2019s no need to rewrite every single Gnome applet against Xfce libraries; all of them can be used out of the box from within both the Xfce and Gnome panels.
    * Many new Xfce users come from Gnome or at least have a good Gnome experience. The possibility of using Gnome applets inside the Xfce Panel makes the experience of moving from Gnome to Xfce or even using both desktop environments easier.

%prep
%setup -q

%build
%configure
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel-plugins/*.desktop
%_pixmapsdir/*.svg
%_datadir/xfce4-xfapplet-plugin/ui/XFCE_Panel_Popup.xml

%changelog
* Fri Oct 06 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.

